package com.appdemostore.adsdemo;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewClient;

public class MainActivity extends Activity {

    WebAppInterface webAppInterface;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        // web view
        WebView webView = (WebView)findViewById(R.id.webview);
        WebSettings webSettings = webView.getSettings();
        webSettings.setJavaScriptEnabled(true);

        // ADSPLayer
        ADSPlayer2 adsPlayer = new ADSPlayer2(this, "demo");

        // JavaScript Interface
        webAppInterface = new WebAppInterface(this, adsPlayer);
        webView.addJavascriptInterface(webAppInterface, "NativeAudioPlayer");

        // load
        webView.loadUrl("file:///android_asset/demo/index.html");
    }

    @Override
    protected void onStop() {
        super.onStop();

        Log.d("ADS.MainActivity", "onStop");

    }
}
